(* Copyright (C) 2000, HELM Team.
 * 
 * This file is part of HELM, an Hypertextual, Electronic
 * Library of Mathematics, developed at the Computer Science
 * Department, University of Bologna, Italy.
 * 
 * HELM is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * HELM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HELM; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA  02111-1307, USA.
 * 
 * For details, see the HELM World-Wide-Web page,
 * http://cs.unibo.it/helm/.
 *)

(******************************************************************************)
(*                                                                            *)
(*                               PROJECT HELM                                 *)
(*                                                                            *)
(*                Claudio Sacerdoti Coen <sacerdot@cs.unibo.it>               *)
(*                                 22/03/2000                                 *)
(*                                                                            *)
(* This is the main (top level) module of a parser for cic objects from xml   *)
(* files to the internal representation. It uses the modules cicParser2       *)
(* (objects level) and cicParser3 (terms level)                               *)
(*                                                                            *)
(******************************************************************************)

(* given the filename of an xml file of a cic object and it's uri, it returns *)
(* its internal annotated representation. The boolean is set to true if the   *)
(* annotations do really matter                                               *)
val term_of_xml :
 string -> UriManager.uri -> bool ->
  Cic.annobj * (Cic.id, Cic.anntarget) Hashtbl.t option
